function affiche_erreur_derivee(hm,hM,R)
% 
%
%   affiche_erreur_derivee : affichage de l'erreur (logarithmique) pour calcul numrique de drive.
%
% *********************************************************
%
%	affiche_erreur_derivee(hm,hM,R) :
%      affiche le nuage de point (log10(h_i),log10(epsilon(h_i)))
%      o pour tout entier i appartenant  (0,...,R), 
%           h_i=h=hm.^((R-i)/R).*hM.^(i/R);
%           epsilon(h_i) est l'erreur commise en remplaant la drive
%           de la fonction exponentielle en 1 par (exp(1+h_i)-exp(t-h_i))/(2h_i)
%
%
%	variables d'entres :
%   * hm et hM sont deux pas strictement positifs (hm<hM);
%   * R est le nombre de calcul fait.
%
%	variables de sortie : 
%   * le graphe dcrit ci-dessus
% 
% 
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************



% Contrles d'entre

% nombre d'arguments
if nargin~=3
   error('nombre d''arguments de la fonction incorrect');
end
% autres tests ventuels 
   

% Corps d'algorithme
i=0:R;
h=hm.^((R-i)/R).*hM.^(i/R);
epsilon=abs((exp(1+h)-exp(1-h))./(2*h)-exp(1));
J=find(epsilon==0);
epsilon(J)=1e-20;
X=log10(h);
Y=log10(epsilon);
plot(X,Y);



