function exemple01_complement(b)

%exemple01_complement : divers calcul sur une racine d'un trinome
%
% *********************************************************
%
%	exemple01_complement(b)
%   * affiche la solution numrique, symbolique et numrique approche
%     de la solution problmatique de x^2+bx+1=0
%   * affiche le dveloppement limit  l'ordre trois de cette solution
%     en symbolique en h=1/b qui tend vers zro.

if (b<=2) 
   error('b doit tre suprieur strictement  2'); 
end    
format long e;
xnum=(-b+sqrt(((b))^2-4))/2;
xsym=vpa((-b+sqrt((sym(b))^2-4))/2);
disp('la deux racine en numrique');
disp(xnum);
disp('la racine en symbolique');
disp(xsym);
disp('le rsidu en numrique');
disp(xnum.^2+b*xnum+1);
disp('le deux rsidu en symbolique');
disp(xsym.^2+b*xsym+1);

disp('Amlioration du calcul de la racine problmatique');
disp('Appuyez sur une touche pour continuer');
pause;
xnumbis=1/((-b-sqrt(((b))^2-4))/2);
disp('la racine en numrique');
disp(xnumbis);
disp('le nouveau rsidu en numrique');
disp(xnumbis^2+b*xnumbis+1);

disp('dveloppement asymptotique de la solution en 1/B');
disp('Appuyez sur une touche pour continuer');
pause;
syms B h;
ff=subs(taylor((-1+sqrt(1-4*h^2))/(2*h),10),h,1/B);
disp(ff);
disp('valuation numrique de cette quantit');
disp(double(subs(ff,B,b)));






